org.apache.axiom.om

## Interface OMXMLStreamReader

- All Superinterfaces:
    OMAttachmentAccessor, javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader
  All Known Subinterfaces:
    OMXMLStreamReaderEx
  All Known Implementing Classes:
    OMXMLStreamReaderValidator

      public interface OMXMLStreamReader
      extends javax.xml.stream.XMLStreamReader, OMAttachmentAccessor

  Objects returned by OMElement.getXMLStreamReader may implement this interface

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInlineMTOM()` Deprecated. This method will be removed in a future release of Axiom. See `setInlineMTOM(boolean)` for more details.
    `void` | `setInlineMTOM(boolean value)` Deprecated. To return optimized base64 content as `xop:Include` elements, wrap the reader using `XOPEncodingStreamReader` or use the more generic `XOPUtils.getXOPEncodedStream(XMLStreamReader)` method. This method introduces unnecessary complexity in the `XMLStreamReader` implementation used by Axiom and will be removed in a future release.

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

    - ### Methods inherited from interface org.apache.axiom.om.OMAttachmentAccessor

      `getDataHandler`

- - ### Method Detail

    - #### isInlineMTOM

          boolean isInlineMTOM()

      Deprecated. This method will be removed in a future release of Axiom. See `setInlineMTOM(boolean)` for more details.
      By default, an OMText item that has an MTOM datahandler will be rendered as a inlined text event.
      Returns:
        true if inlined as TEXT, false if XOP_INCLUDE is used

    - #### setInlineMTOM

          void setInlineMTOM(boolean value)

      Deprecated. To return optimized base64 content as `xop:Include` elements, wrap the reader using `XOPEncodingStreamReader` or use the more generic `XOPUtils.getXOPEncodedStream(XMLStreamReader)` method. This method introduces unnecessary complexity in the `XMLStreamReader` implementation used by Axiom and will be removed in a future release.
      Parameters:
        `value` - set to true if inlining of text is desired (default) throw OMException if not the value is not supported.

Copyright © The Apache Software Foundation. All Rights Reserved.